| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_seq_analysis_item Struct Reference

`#include <sequence_analysis.h>`

## Public Attributes
uint32_t | frame_number
address | src_addr
uint16_t | port_src
address | dst_addr
uint16_t | port_dst
char * | frame_label
char * | time_str
char * | comment
uint16_t | conv_num
unsigned | fg_color
unsigned | bg_color
bool | has_color_filter
bool | display
unsigned | src_node
unsigned | dst_node
uint16_t | line_style
ga_info_type | info_type
void * | info_ptr
ga_info_ptr_free_cb | free_info_ptr

## Detailed Description

defines an entry for the graph analysis

## Member Data Documentation

## ◆ bg_color

unsigned _seq_analysis_item::bg_color

Background color, 0xRRGGBB. Qt only.

## ◆ comment

char* _seq_analysis_item::comment

a comment that appears at the right of the graph

## ◆ conv_num

uint16_t _seq_analysis_item::conv_num

The conversation number. Used for coloring VoIP calls.

## ◆ display

bool _seq_analysis_item::display

indicate if the packet is displayed or not in the graph

## ◆ dst_node

unsigned _seq_analysis_item::dst_node

a node is an IP address that will be displayed in columns

## ◆ fg_color

unsigned _seq_analysis_item::fg_color

Foreground color, 0xRRGGBB. Qt only.

## ◆ frame_label

char* _seq_analysis_item::frame_label

the label on top of the arrow

## ◆ free_info_ptr

ga_info_ptr_free_cb _seq_analysis_item::free_info_ptr

callback to free info_ptr for item

## ◆ has_color_filter

bool _seq_analysis_item::has_color_filter

Set if packet has color filter. Qt only.

## ◆ info_ptr

void* _seq_analysis_item::info_ptr

ptr to info for item

## ◆ info_type

ga_info_type _seq_analysis_item::info_type

type of info for item

## ◆ line_style

uint16_t _seq_analysis_item::line_style

the arrow line width in pixels

## ◆ src_node

unsigned _seq_analysis_item::src_node

this is used by graph_analysis.c to identify the node

## ◆ time_str

char* _seq_analysis_item::time_str

timestamp

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/sequence_analysis.h